%define dev_ver %nil
%define pre %nil

Name: ecasound
Version: 2.3.1
Release: 0.5%dev_ver%pre

Summary: Multitrack Audio Processing Tool
Group: Sound
License: GPL/LGPL
Url: http://www.wakkanet.fi/~kaiv/%name/

Source: http://%name.seul.org/download/%name-%version%dev_ver%pre.tar.gz

%define jack_ver 0.90.0

Requires: libjack >= %jack_ver
BuildPreReq: jackit-devel >= %jack_ver

# Automatically added by buildreq on Thu Nov 20 2003
BuildRequires: XFree86-libs cm-super-fonts-pfb cm-super-fonts-tex-dvips gcc-c++ glib gnu-ghostscript-classic gnu-ghostscript-common gnu-ghostscript-module-X gnu-ghostscript-utils hevea jackit-devel ladspa_sdk libalsa-devel libarts-devel libaudiofile-devel libgimp-print libjpeg libncurses-devel libreadline-devel libsamplerate-devel libstdc++-devel libtinfo-devel ocaml-runtime python tetex-core tetex-dvips tetex-latex yodl

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback,
recording and format conversions, as well as for multitrack effect
processing, mixing, recording and signal recycling. Ecasound supports
a wide range of audio inputs, outputs and effect algorithms.
Effects and audio objects can be combined in various ways, and their
parameters can be controlled by operator objects like oscillators
and MIDI-CCs. As most functionality is located in shared libraries,
creating alternative user-interfaces is easy. A versatile console mode
interface is included in the package.

%package python
Summary: Python bindings to ecasound control interface
Group: Sound
Requires: %name = %version-%release

%description python
Python bindings to ecasound control interface.

%package devel
Summary: Development files for Ecasound
Group: Sound
Requires: %name = %version-%release

%description devel
Headers files and static libraries needed for compiling other programs
against ecasound. 

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define __docdir %_docdir/%name-%version

%prep
%setup -q -n %name-%version%dev_ver%pre

%__subst 's,\(LIBS=\"\-lreadline\),\1 -lncurses,g' configure

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c -f
%__autoconf

%configure  \
	    --disable-static \
	    --enable-sys-readline \
	    --enable-alsa-rawmidi \
	    --enable-pyecasound \
	    --with-largefile \
	    --with-jack=%_prefix

%make_build
%make_build -C Documentation docs

%install
%make_install DESTDIR=%buildroot install

# install docs
%__mkdir_p %buildroot%__docdir/{html/{programmers_guide,users_guide},printable,examples}
%__cp NEWS README INSTALL BUGS %buildroot%__docdir
%__cp Documentation/*.html %buildroot%__docdir/html/
%__cp -r Documentation/programmers_guide/html_* %buildroot%__docdir/html/programmers_guide/
%__cp Documentation/programmers_guide/*.pdf %buildroot%__docdir/printable/
%__cp -r Documentation/users_guide/html_* %buildroot%__docdir/html/users_guide/
%__cp Documentation/users_guide/*pdf %buildroot%__docdir/printable/
%__cp examples/{README,*.c*,*.py} %buildroot%__docdir/examples

%files
%_bindir/eca*
%_mandir/man1/*
%_mandir/man5/*
%dir %__docdir
%dir %__docdir/html
%dir %__docdir/printable
%__docdir/[A-Z]*
%__docdir/html/*.html
%__docdir/html/users_guide
%__docdir/printable/ecasound_users_guide.pdf
%config %_datadir/ecasound/*

%files python
%python_site_packages_dir/*.py*

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.a
%_libdir/*.la
%__docdir/html/programmers_guide
%__docdir/printable/ecasound_eci_doc.pdf
%__docdir/printable/ecasound_programmers_guide.pdf
%__docdir/examples

%changelog
* Wed Nov 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-0.5
- 2.3.1

* Sat Aug 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-0.5
- 2.3.0

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-0.5
- 2.2.3

* Thu Mar 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-0.5
- 2.2.2

* Mon Mar 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-0.5
- 2.2.1 

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-0.5pre1
- 2.2.0

* Mon May 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1-0.8dev7
- 2.1dev7 

* Thu Jan 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.4-alt0.6
- 2.0.4

* Sat Dec 15 2001 Yuri N. Sedunov <aris@altlinux.ru> 2.0.3-alt0.8
- Initial spec file release.
